<% if not image %>
<% Plugins::ConvertVideo::get_file_path($ID, "image_file_field") %>
<% set image = $image_file_field_path %>
<% endif %>
<% if not video %>
<% Plugins::ConvertVideo::get_file_path($ID, "flash_file_field") %>
<% set video = $flash_file_field_path %>
<% endif %>
<% Plugins::ConvertVideo::get_flash_dimension() %>
<div class="video">
<script type="text/javascript" src="http://www.slowtwitch.com/videos/static/swfobject.js"></script>
<div id="player"><a href="<%video%>" style="display:block;width:<%video_width%>px;height:<%video_height%>px"></a></div>
<script type="text/javascript">
var so = new SWFObject('http://www.slowtwitch.com/videos/static/mediaplayer.swf','mpl','<%video_width%>','<%video_height%>','8');
so.addParam('allowscriptaccess','always');
so.addParam('allowfullscreen','true');
so.addParam('wmode','transparent');
so.addVariable('height','247');
so.addVariable('width','298');
so.addVariable("file","<%video%>");
<%if image%> so.addVariable("image","<%image%>"); <%endif%>
so.write('player');

</script>
</div>